Skip to main content
GET
List a user's cases

Authorizations

X-API-Key
string
header
required

Domain-scoped API key. Generate and manage keys from the API Keys page in Settings.

Accepted in two forms:

  • X-API-Key: <key> header (preferred)
  • Authorization: Bearer <key> header (also accepted)

Path Parameters

tuid
string<uuid>
required

Query Parameters

state
string

Lifecycle state of a case:

  • discover — Vetted by the AI judge, ready for triage
  • pending_investigation — Claimed for investigation, by an analyst in TOTAL or through POST /cases/{case_id}/claim
  • investigating — Investigation underway
  • closed — Case closed
page_size
integer
default:50
Required range: x <= 200
next_cursor
string

The opaque next_cursor from the previous page.

Response

Cursor-paginated cases

next_cursor
string | null
tuid
string<uuid>
items
object[]